Bug 1104821 - Make cri-o default for kubernetes on Kubic
Make cri-o default for kubernetes on Kubic
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kubic
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Richard Brown
E-mail List
obs:running:10751:important
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-14 15:28 UTC by Richard Brown
Modified: 2021-05-17 12:56 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Brown 2018-08-14 15:28:13 UTC
https://trello.com/c/EB1v0dVq/19-make-cri-o-default-for-k8s

Use cri-runtime provides so docker-kubic can be a drop in replacement
Comment 1 Swamp Workflow Management 2018-08-31 09:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1104821) was mentioned in
https://build.opensuse.org/request/show/632462 Factory / patterns-caasp
Comment 2 Swamp Workflow Management 2018-09-05 09:30:05 UTC
This is an autogenerated message for OBS integration:
This bug (1104821) was mentioned in
https://build.opensuse.org/request/show/633285 Factory / patterns-caasp
Comment 3 Swamp Workflow Management 2018-09-05 10:20:05 UTC
This is an autogenerated message for OBS integration:
This bug (1104821) was mentioned in
https://build.opensuse.org/request/show/633295 Factory / patterns-caasp
Comment 4 Richard Brown 2018-10-15 13:59:57 UTC
cri-o is now the default
Comment 10 Swamp Workflow Management 2018-11-30 17:11:16 UTC
SUSE-RU-2018:3960-1: An update that has 10 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1047218,1080978,1086185,1094680,1095817,1102522,1104821,1105000,1108038,1113313
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Containers 12 (src):    containerd-1.1.2-16.11.1, docker-18.06.1_ce-98.21.1, docker-runc-1.0.0rc5+gitr3562_69663f0bd4b6-1.6.1, golang-github-docker-libnetwork-0.7.0.1+gitr2664_3ac297bc7fd0-13.1
OpenStack Cloud Magnum Orchestration 7 (src):    containerd-1.1.2-16.11.1, docker-18.06.1_ce-98.21.1, docker-runc-1.0.0rc5+gitr3562_69663f0bd4b6-1.6.1, golang-github-docker-libnetwork-0.7.0.1+gitr2664_3ac297bc7fd0-13.1
Comment 14 Swamp Workflow Management 2018-12-28 23:13:31 UTC
SUSE-SU-2018:4297-1: An update that solves four vulnerabilities and has 17 fixes is now available.

Category: security (important)
Bug References: 1047218,1074971,1080978,1081495,1084533,1086185,1094680,1095817,1098017,1102522,1104821,1105000,1108038,1113313,1113978,1114209,1118897,1118898,1118899,1119634,1119706
CVE References: CVE-2018-16873,CVE-2018-16874,CVE-2018-16875,CVE-2018-7187
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    containerd-1.1.2-5.3.4, docker-18.06.1_ce-6.8.2, docker-runc-1.0.0rc5+gitr3562_69663f0bd4b6-6.3.4, go-1.10.4-3.6.2, go1.10-1.10.7-1.5.3, golang-github-docker-libnetwork-0.7.0.1+gitr2664_3ac297bc7fd0-4.3.5, golang-packaging-15.0.11-3.3.2
SUSE Linux Enterprise Module for Containers 15 (src):    containerd-1.1.2-5.3.4, docker-18.06.1_ce-6.8.2, docker-runc-1.0.0rc5+gitr3562_69663f0bd4b6-6.3.4, golang-github-docker-libnetwork-0.7.0.1+gitr2664_3ac297bc7fd0-4.3.5
Comment 15 Swamp Workflow Management 2018-12-29 14:15:49 UTC
openSUSE-SU-2018:4306-1: An update that solves four vulnerabilities and has 17 fixes is now available.

Category: security (important)
Bug References: 1047218,1074971,1080978,1081495,1084533,1086185,1094680,1095817,1098017,1102522,1104821,1105000,1108038,1113313,1113978,1114209,1118897,1118898,1118899,1119634,1119706
CVE References: CVE-2018-16873,CVE-2018-16874,CVE-2018-16875,CVE-2018-7187
Sources used:
openSUSE Leap 15.0 (src):    containerd-1.1.2-lp150.4.3.1, containerd-kubic-1.1.2-lp150.4.3.1, docker-18.06.1_ce-lp150.5.6.1, docker-kubic-18.06.1_ce-lp150.5.6.1, docker-runc-1.0.0rc5+gitr3562_69663f0bd4b6-lp150.5.3.1, docker-runc-kubic-1.0.0rc5+gitr3562_69663f0bd4b6-lp150.5.3.1, go-1.10.4-lp150.2.7.1, go1.10-1.10.7-lp150.2.1, golang-github-docker-libnetwork-0.7.0.1+gitr2664_3ac297bc7fd0-lp150.3.3.1, golang-github-docker-libnetwork-kubic-0.7.0.1+gitr2664_3ac297bc7fd0-lp150.3.3.1, golang-packaging-15.0.11-lp150.2.3.1
Comment 16 Swamp Workflow Management 2019-07-11 19:21:28 UTC
This is an autogenerated message for OBS integration:
This bug (1104821) was mentioned in
https://build.opensuse.org/request/show/714707 15.1 / kubernetes
Comment 17 Swamp Workflow Management 2019-07-12 00:21:18 UTC
This is an autogenerated message for OBS integration:
This bug (1104821) was mentioned in
https://build.opensuse.org/request/show/714723 15.1 / kubernetes
Comment 18 Swamp Workflow Management 2020-04-26 19:16:36 UTC
openSUSE-SU-2020:0554-1: An update that solves 7 vulnerabilities and has 22 fixes is now available.

Category: security (important)
Bug References: 1039663,1042383,1042387,1057277,1059207,1061027,1065972,1069469,1084765,1084766,1085009,1086185,1086412,1095131,1095154,1096773,1097473,1100838,1101010,1104598,1104821,1112980,1118897,1118898,1136403,1144065,1155323,1161056,1161179
CVE References: CVE-2016-5195,CVE-2016-8859,CVE-2017-1002101,CVE-2018-1002105,CVE-2018-16873,CVE-2018-16874,CVE-2019-10214
Sources used:
openSUSE Leap 15.1 (src):    cri-o-1.17.1-lp151.2.2, cri-tools-1.18.0-lp151.2.1, go1.14-1.14-lp151.6.1, kubernetes-1.18.0-lp151.5.1